View Issue Details

IDProjectCategoryView StatusLast Update
0003113SymmetricDSBugpublic2018-02-14 15:08
ReporterjblakelyAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version3.8.24 
Target Version3.9.0Fixed in Version3.9.0 
Summary0003113: Typo in sym_service.conf
Descriptionconfiguration key "wrapper.java.additional.1" is defined twice in sym_service.conf, as

wrapper.java.additional.1=-Dlog4j.configuration=file:conf/log4j.xml
wrapper.java.additional.1=-Djava.util.logging.config.file=conf/logging.properties

I believe this has the affect of not defining the "log4j.configuration" file and therefore using default values and disabling any setting is log4j.xml
Steps To Reproduceexamine the file
Additional InformationI believe changing one of the configuration keys to ".18" (or renumbering the whole "wrapper.java.additional.n" set) should allow both logging configuration files to be used.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.9 cbf48872

2017-05-22 08:38:00

chenson42

Details Diff
0003113: Typo in sym_service.conf
0003113
mod - symmetric-server/src/main/deploy/conf/sym_service.conf Diff File

Issue History

Date Modified Username Field Change
2017-05-18 04:25 jblakely New Issue
2017-05-22 08:37 chenson Fixed in Version => 3.9.0
2017-05-22 08:37 chenson Target Version => 3.9.0
2017-05-22 11:15 chenson Status new => resolved
2017-05-22 11:15 chenson Resolution open => fixed
2017-05-22 11:15 chenson Assigned To => chenson
2017-07-17 10:23 jwilmer Status resolved => closed
2017-09-26 12:55 chenson Status closed => resolved
2017-09-26 12:57 chenson Status resolved => closed
2018-02-14 15:08 chenson42 Changeset attached => SymmetricDS 3.9 cbf48872